Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.rups.view.models
Class DictionaryTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          com.lowagie.rups.view.models.DictionaryTableModel

All Implemented Interfaces:
  Serializable, TableModel

    public class DictionaryTableModel

extends AbstractTableModel

A TableModel in case we want to show a PDF dictionary in a JTable.

See Also:
  Serialized Form

Field Summary
`protected PdfDictionary` | `dictionary` The PDF dictionary.
`protected ArrayList<PdfName>` | `keys` An ArrayList with the dictionary keys.
`private static long` | `serialVersionUID` A serial version UID.

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`DictionaryTableModel(PdfDictionary dictionary)` Creates the TableModel.

Method Summary
`int` | `getColumnCount()`
`String` | `getColumnName(int columnIndex)`
`int` | `getRowCount()`
`Object` | `getValueAt(int rowIndex, int columnIndex)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  A serial version UID.

  See Also:
    Constant Field Values

### dictionary

    protected PdfDictionary dictionary

  The PDF dictionary.

### keys

    protected ArrayList<PdfName> keys

  An ArrayList with the dictionary keys.

Constructor Detail

### DictionaryTableModel

    public DictionaryTableModel(PdfDictionary dictionary)

  Creates the TableModel.

  Parameters:
    `dictionary` - the dictionary we want to show

Method Detail

### getColumnCount

    public int getColumnCount()

  See Also:
    `TableModel.getColumnCount()`

### getRowCount

    public int getRowCount()

  See Also:
    `TableModel.getRowCount()`

### getValueAt

    public Object getValueAt(int rowIndex,
                             int columnIndex)

  See Also:
    `TableModel.getValueAt(int, int)`

### getColumnName

    public String getColumnName(int columnIndex)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`
  See Also:
    `AbstractTableModel.getColumnName(int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD